<?php

/**
 * @link https://www.humhub.org/
 * @copyright Copyright (c) 2015 HumHub GmbH & Co. KG
 * @license https://www.humhub.com/licences
 */

namespace humhub\modules\custom_pages\widgets;

use Yii;
use humhub\modules\custom_pages\models\CustomContentContainer;
use humhub\modules\custom_pages\Module;

/**
 * Snippet
 *
 * @author buddha
 */
class SnippetWidget extends \yii\base\Widget
{

    /**
     * @var CustomContentContainer
     */
    public $model;
    public $canEdit = false;

    public function init()
    {
        Module::loadTwig();
        parent::init(); // TODO: Change the autogenerated stub
    }

    public function run()
    {
        $contentContainer = property_exists(Yii::$app->controller, 'contentContainer') ? Yii::$app->controller->contentContainer : null;
        return $this->render('snippet_'.$this->model->getContentType()->getViewName(), [
            'model' => $this->model,
            'contentContainer' => $contentContainer,
            'canEdit' => $this->canEdit
        ]);
    }

}
